Bug 765340 - (GLUSTER-3608) Move mem-pool creation for rb-tree hash entries into init.
Move mem-pool creation for rb-tree hash entries into init.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: io-cache (Show other bugs)
mainline
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Raghavendra G
Anush Shetty
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-09-22 02:55 EDT by Raghavendra G
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra G 2011-09-22 02:55:15 EDT
As reported by pavan,

Any particular reason why the mempool etc are being initialized in
readv()? Shouldn't they be allocated in init?

The current code leads to two unnecessary lock/unlock calls in readv()

Pavan
Comment 1 Anand Avati 2011-10-01 05:56:45 EDT
CHANGE: http://review.gluster.com/484 (  - mem-pool is global structure which is stored in ioc-inode-table and hence) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)
Comment 2 Amar Tumballi 2011-12-08 02:39:22 EST
Need this for master branch too.
Comment 3 Amar Tumballi 2012-02-27 22:25:28 EST
please send the patch to master branch too, ASAP.
Comment 4 Anand Avati 2012-03-08 12:10:09 EST
CHANGE: http://review.gluster.com/2895 (performance/io-cache: move mem-pool initialisation to init.) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.